> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch account states

> This endpoint allows you to get the rating, watchlist, and favorite status of an account.



## OpenAPI

````yaml get /movie/{{movie_id}}/account_states
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /movie/{{movie_id}}/account_states:
    parameters:
      - name: movie_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Movies
      summary: Fetch account states
      description: >-
        This endpoint allows you to get the rating, watchlist, and favorite
        status of an account.
      operationId: fetchAccountStates
      parameters:
        - name: session_id
          in: query
          schema:
            type: string
            example: '"e121864bf4969caf6203ec37c8c86979041c7fcc"'
        - name: guest_session_id
          in: query
          schema:
            type: string
            example: string
      responses:
        '200':
          description: fetch account states
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=0
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 13 Dec 2024 15:25:44 GMT
            ETag:
              schema:
                type: string
                example: W/"97e6a7cfd2687938e7f4f5bf41c878f5"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 76a7fdbced88b6eccf433c4e386bae40.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: 0Y_EuRYhLguwznyKvJF1QfrCt0ORMZxonL2dfMEk79Wz8O4PXL_bKg==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: MISS
            x-memc-age:
              schema:
                type: string
                example: '0'
            x-memc-expires:
              schema:
                type: string
                example: '0'
            x-memc-key:
              schema:
                type: string
                example: d647fe4493aa3df41309c7bdd1924a56
          content:
            application/json:
              schema:
                type: object
                properties:
                  favorite:
                    type: boolean
                    example: true
                  id:
                    type: number
                    example: 1182387
                  rated:
                    type: boolean
                    example: false
                  watchlist:
                    type: boolean
                    example: true
              examples:
                fetch account states:
                  value:
                    favorite: true
                    id: 1182387
                    rated: false
                    watchlist: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````